Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QNucleus.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QNucleus.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QNucleus.cc	(revision 1055)
@@ -4134,7 +4139,7 @@
 #endif
       evaHV->push_back(piH);                // (delete equivalent)
-	   }
-	   else
-	   {
+    }
+    else
+    {
 #ifdef qdebug
       if(!qH) G4cout<<"G4QNucleus::EvaporateNucleus: (13) qH="<<G4endl;
@@ -4148,5 +4153,5 @@
             <<" < M1+M2+Pi, d="<<totMass-n1M-n2M-mPi<<G4endl;
       throw G4QException("G4QNucleus::EvaporateNucleus:IsoDiBarState is under MassShell");
-	   }
+    }
   }
   else if(fabs(totMass-totGSM)<.001)  // Fill as it is or decay Be8, He5, Li5 (@@ add more)
@@ -4221,5 +4226,5 @@
     G4LorentzVector k24M(0.,0.,0.,mK2);
     if(!G4QHadron(q4M).DecayIn3(n4M,k14M,k24M))
-	   {
+    {
 #ifdef qdebug
       if(!qH) G4cout<<"G4QNucleus::EvaporateNucleus: (14) qH="<<G4endl;
@@ -4232,6 +4237,6 @@
       G4cout<<"***G4QNucleus::EvaNuc:tM="<<totMass<<"-> N="<<nucPDG<<"(M="<<nucM<<") + k1="
             <<k1PDG<<"(M="<<mK1<<") + k2="<<k2PDG<<"(M="<<mK2<<")"<<G4endl;
-	     throw G4QException("G4QNucleus::EvaporateNucleus: Nucleus+2antiK DecayIn3 error");
-	   }
+      throw G4QException("G4QNucleus::EvaporateNucleus: Nucleus+2antiK DecayIn3 error");
+    }
 #ifdef qdebug
     if(!qH) G4cout<<"G4QNucleus::EvaporateNucleus: (15) qH="<<G4endl;
@@ -4260,5 +4265,5 @@
   // **>>> From here the EVA code starts (baryons/hyperons can be excited) <<<**
   else if ( (thePDG > 80000000 && thePDG != 90000000) || 
-	    thePDG == 2112 || thePDG == 2212 || thePDG == 3122)
+     thePDG == 2112 || thePDG == 2212 || thePDG == 3122)
   { // @@ Improve for Sigma+, Sigma-, Ksi0 & Ksi- content in the Total Np/Nn Nuclei
     if(thePDG<80000000)                        // Switch from QHadronCode to QNuclearCode
@@ -4267,5 +4272,5 @@
       else if(thePDG==2212) thePDG=90001000;   // p
       else if(thePDG==3122) thePDG=91000000;   // lambda
-	   }
+    }
     G4QNucleus qNuc(q4M,thePDG);               // Make a Nucleus for theTotalResidNucleus
     G4double GSMass =qNuc.GetGSMass();         // GSMass of the Total Residual Nucleus
@@ -4277,9 +4282,9 @@
 #ifdef pdebug
     if(bZ==2&&bN==5)G4cout<<"G4QNucleus::EvaNucl: (2,5) GSM="<<GSMass<<" > "
-						                    <<G4QPDGCode(2112).GetNuclMass(2,4,0)+mNeut<<G4endl;
+                          <<G4QPDGCode(2112).GetNuclMass(2,4,0)+mNeut<<G4endl;
     if(bZ==1&&bN==3)G4cout<<"G4QNucl::EvaNucl: (1,3) GSM="<<GSMass<<" > "
-						                    <<G4QPDGCode(2112).GetNuclMass(1,2,0)+mNeut<<G4endl;
+                          <<G4QPDGCode(2112).GetNuclMass(1,2,0)+mNeut<<G4endl;
     G4double dM=totMass-GSMass;
-	   G4cout<<"G4QNucl::EvaNuc:"<<qNuc<<",PDG="<<thePDG<<",M="<<totMass<<",dM="<<dM<<G4endl;
+    G4cout<<"G4QNucl::EvaNuc:"<<qNuc<<",PDG="<<thePDG<<",M="<<totMass<<",dM="<<dM<<G4endl;
     ////////if(dM>7.) throw G4QException("G4QNucleus::EvaporateNucleus: Big Excitation");
 #endif
@@ -4287,5 +4292,5 @@
     G4bool  dbsCond=qNuc.Split2Baryons();      // (Two Baryons)SeparCond for TotResidNucl
 #ifdef pdebug
-	   G4cout<<"G4QNucleus::EvaporateNuc: bs="<<bsCond<<", dbs="<<dbsCond<<", A="<<bA<<G4endl;
+    G4cout<<"G4QNucleus::EvaporateNuc: bs="<<bsCond<<", dbs="<<dbsCond<<", A="<<bA<<G4endl;
 #endif
     if(fabs(totMass-GSMass)<.003&&!bsCond&&!dbsCond) // GS or can't split 1(2)B FillAsItIs
@@ -4300,14 +4305,14 @@
       return;
     }
-    else if ( ( bA == 1 || (!bsCond && !dbsCond) ) && totMass > GSMass+.003 )  //==>Fuse&DecayTech(noGamDec)
-	   //else if(2>3)                                // Close "Fuse&Decay Technology" ***@@@***
-    {
-#ifdef pdebug
-	     G4cout<<"G4QN::EvaN:SplitBar, s="<<bsCond<<",M="<<totMass<<" > GSM="<<GSMass<<G4endl;
+    else if ( ( bA == 1 || (!bsCond && !dbsCond) ) && totMass > GSMass+.003 )//=>Fuse&Decay
+    //else if(2>3)                                // Close "Fuse&Decay Technology"***@@@***
+    {
+#ifdef pdebug
+      G4cout<<"G4QN::EvaN:SplitBar, s="<<bsCond<<",M="<<totMass<<" > GSM="<<GSMass<<G4endl;
 #endif
       G4int nOfOUT = evaHV->size();            // Total#of QHadrons in Vector at this point
       G4bool bnfound=true;                     // Cure "back fusion fragment not found"
       while(nOfOUT)                            // Try BackFusionDecays till something is in
-	     {
+      {
         G4QHadron*     theLast = (*evaHV)[nOfOUT-1];
         G4int          lastBN = theLast->GetBaryonNumber();
@@ -4315,8 +4320,8 @@
         //////////////////G4int          gam    = theLast->GetPDGCode();
 #ifdef pdebug
-		      G4cout<<"G4QN::EvaNuc:*BackFus*,BN="<<lastBN<<",nF="<<nFrag<<",n="<<nOfOUT<<G4endl;
-#endif
-		      while(nFrag)                       // => "Delete Last Decayed Hadron" case
-		      {
+        G4cout<<"G4QN::EvaNuc:*BackFus*,BN="<<lastBN<<",nF="<<nFrag<<",n="<<nOfOUT<<G4endl;
+#endif
+        while(nFrag)                       // => "Delete Last Decayed Hadron" case
+        {
           G4QHadron* thePrev = (*evaHV)[nOfOUT-2];
           nFrag  = thePrev->GetNFragments();
@@ -4324,5 +4329,5 @@
 #ifdef pdebug
           G4int     prevPDG = thePrev->GetPDGCode();
-		        G4cout<<"G4QNucl::EvaNucl: DelTheLast, nFr="<<nFrag<<", pPDG="<<prevPDG<<G4endl;
+          G4cout<<"G4QNucl::EvaNucl: DelTheLast, nFr="<<nFrag<<", pPDG="<<prevPDG<<G4endl;
 #endif
           evaHV->pop_back();               // the prev QHadron is excluded from OUTPUT
@@ -4330,10 +4335,10 @@
           theLast = thePrev;               // Update theLastPntr(Prev instead of Last)
           lastBN=prevBN;
-		        nOfOUT--;                        // Reduce the stack for the Last decayed hadron
-		      }
+          nOfOUT--;                        // Reduce the stack for the Last decayed hadron
+        }
         if(nOfOUT)
-		      {
+        {
           if(lastBN<1&&nOfOUT>1)           // Try Once To Skip Mesons/Gammas & Antibaryons
-		        {
+          {
             G4QHadron* thePrev = (*evaHV)[nOfOUT-2];//***Exchange between Last & Prev***
             evaHV->pop_back();             // the last QHadron is excluded from OUTPUT
@@ -4342,5 +4347,5 @@
             evaHV->push_back(thePrev);     // the Prev becomes the Last (2nd part of exch)
             theLast = thePrev;             // Update theLastPointer (Prev instead of Last)
-		        }
+          }
           G4LorentzVector last4M = theLast->Get4Momentum(); // Selected the last 4-Mom
           G4QContent  lastQC = theLast->GetQC();
@@ -4354,9 +4359,9 @@
           G4double dM=totMass-GSMass-lastM;
 #ifdef pdebug
-		        G4cout<<"G4QN::EvaNuc: tM="<<totMass<<"-LM="<<lastM<<lastQC<<"-GSM="<<GSMass<<"="
+          G4cout<<"G4QN::EvaNuc: tM="<<totMass<<"-LM="<<lastM<<lastQC<<"-GSM="<<GSMass<<"="
                 <<dM<<G4endl;
 #endif
           if(dM>-0.001)                    // Decay in the qH and the last is impossible
-		        {
+          {
             G4QHadron* evH = new G4QHadron(totPDG,q4M); // Create QHadron for CompResidNuc
             if(dM<=0.)
@@ -4377,7 +4382,7 @@
               if(totBN==2)DecayDibaryon(evH,evaHV); // Fill dibaryon (with decay products)
               else evaHV->push_back(evH);// Fill TRN to HVect asIs (delete equivalent)
-		          }
+            }
             else                        // Decay TotalResidualNucleus in GSM+Last
-		          {
+            {
               G4LorentzVector r4Mom(0.,0.,0.,GSMass);
               if(!G4QHadron(q4M).DecayIn2(last4M,r4Mom)) // Decay failed
@@ -4400,5 +4405,5 @@
                 G4cout<<"***G4QN::EvaN:DecayIn L"<<lastQC<<"+RN"<<totQC<<" failed"<<G4endl;
 #endif
-	             }
+              }
               else                        // Decay in GSM+theLast succeeded
               {
@@ -4422,15 +4427,15 @@
                 else evaHV->push_back(nucH);// Fill the Residual Nucleus (del.eq.)
               }
-		          }
+            }
             bnfound=false;
             break;
-		        }
+          }
           thePDG=totPDG;                   // Make ResidualNucleus outOf theTotResidualNucl
-		        GSMass=G4QPDGCode(thePDG).GetMass();// Update the Total Residual Nucleus mass
+          GSMass=G4QPDGCode(thePDG).GetMass();// Update the Total Residual Nucleus mass
           evaHV->pop_back();               // the last QHadron is excluded from OUTPUT
           delete theLast;//!!When kill,DON'T forget to delete theLastQHadron asAnInstance!!
           nOfOUT--;                        // Update the value of OUTPUT entries
-		      }
-	     }
+        }
+      }
       if(bnfound)
       {
@@ -4451,5 +4456,5 @@
         }
 #ifdef pdebug
-	       G4cout<<"G4QNuc::EvaNuc: "<<q4M<<"->totResN="<<thePDG<<h4Mom<<"+g="<<g4Mom<<G4endl;
+        G4cout<<"G4QNuc::EvaNuc: "<<q4M<<"->totResN="<<thePDG<<h4Mom<<"+g="<<g4Mom<<G4endl;
 #endif
         G4QHadron* curH = new G4QHadron(thePDG,h4Mom);
@@ -4473,5 +4478,5 @@
 #endif
       }
-	   }
+    }
     else if(bA==2)
     {
@@ -4491,17 +4496,17 @@
     {
 #ifdef pdebug
-	     G4cout<<"G4QN::EvN:2B="<<dbsCond<<",B="<<bsCond<<",M="<<totMass<<"<"<<GSMass<<G4endl;
+      G4cout<<"G4QN::EvN:2B="<<dbsCond<<",B="<<bsCond<<",M="<<totMass<<"<"<<GSMass<<G4endl;
 #endif
       G4double gResM  =1000000.;           // Prototype of mass of residual for a gamma
       G4int    gResPDG=0;                  // Prototype of residualPDGCode for a gamma
       if(bN==4&&bZ==2&&!bS)                // It's He6 nucleus
-	     {
+      {
         gResPDG= thePDG;                   // PDG of the Residual Nucleus
         gResM  = mHel6;                    // min mass of the Residual Nucleus
-	     }
+      }
       G4double nResM  =1000000.;           // Prototype of mass of residual for a neutron
       G4int    nResPDG=0;                  // Prototype of ResidualPDGCode for a neutron
       if(bsCond==2112&&bN>0&&bA>1)         // There's aNeutr in theNucl, which can be split
-	     {
+      {
         G4QContent resQC=totQC-neutQC;
         G4QNucleus resN(resQC);            // Pseudo nucleus for the Residual Nucleus
@@ -4511,9 +4516,9 @@
         else if(nResPDG==91000000) nResM=mLamb;
         else nResM=resN.GetMZNS();         // min mass of the Residual Nucleus
-	     }
+      }
       G4double pResM  =1000000.;           // Prototype of mass of residual for a proton
       G4int    pResPDG=0;                  // Prototype of PDGCode of residual for a proton
       if(bsCond==2212&&bZ>0&&bA>1)         // There's aProton in Nucl, which can be split
-	     {
+      {
         G4QContent resQC=totQC-protQC;
         G4QNucleus resN(resQC);            // Pseudo nucleus for the Residual Nucleus
@@ -4523,9 +4528,9 @@
         else if(pResPDG==91000000) pResM=mLamb;
         else pResM  =resN.GetMZNS();       // min mass of the Residual Nucleus
-	     }
+      }
       G4double lResM  =1000000.;           // Prototype of mass of residual for a Lambda
       G4int    lResPDG=0;                  // Prototype of PDGCode of residual for a Lambda
       if(bsCond==3122&&bS>0&&bA>1)         // There's aLambd in theNucl, which can be split
-	     {
+      {
         G4QContent resQC=totQC-lambQC;
         G4QNucleus resN(resQC);            // Pseudo nucleus for the Residual Nucleus
@@ -4535,9 +4540,9 @@
         else if(lResPDG==91000000) lResM=mLamb;
         else lResM  =resN.GetMZNS();       // min mass of the Residual Nucleus
-	     }
+      }
       G4double dResM  =1000000.;           // Prototype of mass of residual for a Alpha
       G4int    dResPDG=0;                  // Prototype of PDGCode of residual for a Alpha
       if(bsCond==90001001&&bN>0&&bZ>0&&bA>2)// There's aDeuter in Nucl, which canBeRadiated
-	     {
+      {
         G4QContent resQC=totQC-deutQC;
         G4QNucleus resN(resQC);            // Pseudo nucleus for the Residual Nucleus
@@ -4547,9 +4552,9 @@
         else if(dResPDG==91000000) dResM=mLamb;
         else dResM  =resN.GetMZNS();       // minMass of the Residual Nucleus
-	     }
+      }
       G4double aResM  =1000000.;           // Prototype of mass of residual for a Alpha
       G4int    aResPDG=0;                  // Prototype of PDGCode of residual for a Alpha
       if(bsCond==90002002&&bN>1&&bZ>1&&bA>4)// There's Alpha in theNucl, which can be split
-	     {
+      {
         G4QContent resQC=totQC-alphQC;
         G4QNucleus resN(resQC);            // Pseudo nucleus for the Residual Nucleus
@@ -4559,9 +4564,9 @@
         else if(aResPDG==91000000) aResM=mLamb;
         else aResM  =resN.GetMZNS();       // minMass of the Residual Nucleus
-	     }
+      }
       G4double nnResM  =1000000.;          // Prototype of mass of residual for a dineutron
       G4int    nnResPDG=0;                 // Prototype of ResidualPDGCode for a dineutron
       if(dbsCond&&bN>1&&bA>2)              // It's nucleus and there is a dineutron
-	     {
+      {
         G4QContent resQC=totQC-neutQC-neutQC;
         G4QNucleus resN(resQC);            // Pseudo nucleus for the Residual Nucleus
@@ -4571,9 +4576,9 @@
         else if(nnResPDG==91000000) nnResM=mLamb;
         else nnResM  =resN.GetMZNS();      // min mass of the Residual Nucleus
-	     }
+      }
       G4double ppResM  =1000000.;          // Prototype of mass of residual for a diproton
       G4int    ppResPDG=0;                 // Prototype of ResidualPDGCode for a diproton
       if(dbsCond&&bZ>1&&bA>2)              // It's nucleus and there is a diproton
-	     {
+      {
         G4QContent resQC=totQC-protQC-protQC;
         G4QNucleus resN(resQC);            // Pseudo nucleus for the Residual Nucleus
@@ -4583,9 +4588,9 @@
         else if(ppResPDG==91000000) ppResM=mLamb;
         else ppResM  =resN.GetMZNS();      // min mass of the Residual Nucleus
-	     }
+      }
       G4double npResM  =1000000.;          // Prototype of ResidualMass for proton+neutron
       G4int    npResPDG=0;                 // Prototype of ResidualPDGCode for a prot+neut
       if(dbsCond&&bN>0&&bZ>0&&bA>2)        // It's nucleus and there is aProton & aNeutron
-	     {
+      {
         G4QContent resQC=totQC-neutQC-protQC;
         G4QNucleus resN(resQC);            // Pseudo nucleus for the Residual Nucleus
@@ -4595,9 +4600,9 @@
         else if(npResPDG==91000000) npResM=mLamb;
         else npResM  =resN.GetMZNS();      // min mass of the Residual Nucleus
-	     }
+      }
       G4double lnResM  =1000000.;          // Prototype of residualMass for lambda+neutron
       G4int    lnResPDG=0;                 // Prototype of ResidualPDGCode for aLambda+Neut
       if(dbsCond&&bN>0&&bS>0&&bA>2)        // It's nucleus and there is aLambda & aNeutron
-	     {
+      {
         G4QContent resQC=totQC-lambQC-protQC;
         G4QNucleus resN(resQC);            // Pseudo nucleus for the Residual Nucleus
@@ -4607,9 +4612,9 @@
         else if(lnResPDG==91000000) lnResM=mLamb;
         else lnResM  =resN.GetMZNS();      // min mass of the Residual Nucleus
-	     }
+      }
       G4double lpResM  =1000000.;          // Prototype of residualMass for a proton+lambda
       G4int    lpResPDG=0;                 // Prototype of ResidualPDGCode for theProt+lamb
       if(dbsCond&&bS>0&&bZ>0&&bA>2)        // It's nucleus and there is aProton and aLambda
-	     {
+      {
         G4QContent resQC=totQC-neutQC-protQC;
         G4QNucleus resN(resQC);            // Pseudo nucleus for the Residual Nucleus
@@ -4619,9 +4624,9 @@
         else if(lpResPDG==91000000) lpResM=mLamb;
         else lpResM  =resN.GetMZNS();      // minMass of the Residual Nucleus
-	     }
+      }
       G4double llResM  =1000000.;          // Prototype of mass of residual for a di-lambda
       G4int    llResPDG=0;                 // Prototype of ResidPDGCode for the di-lambda
       if(dbsCond&&bS>1&&bA>2)              // It's nucleus and there is a di-lambda
-	     {
+      {
         G4QContent resQC=totQC-neutQC-protQC;
         G4QNucleus resN(resQC);            // Pseudo nucleus for the Residual Nucleus
@@ -4631,5 +4636,5 @@
         else if(llResPDG==91000000) llResM=mLamb;
         else llResM  =resN.GetMZNS();      // min mass of the Residual Nucleus
-	     }
+      }
 #ifdef pdebug
       G4cout<<"G4QNucleus::EvaNucl: rP="<<pResPDG<<",rN="<<nResPDG<<",rL="<<lResPDG<<",N="
@@ -4642,18 +4647,22 @@
           (thePDG == 90002004 && totMass > mHel6+.003) ||
 
-	  (bA > 4 && bsCond && bN > 1 && bZ > 1 && totMass > aResM+mAlph) ||
+          (bA > 4 && bsCond && bN > 1 && bZ > 1 && totMass > aResM+mAlph) ||
 
           (bA > 1 && bsCond && ( (bN > 0 && totMass > nResM+mNeut) || 
                                  (bZ > 0 && totMass > pResM+mProt) || 
-                                 (bS > 0 && totMass > lResM+mLamb) ) )      ||
+                                 (bS > 0 && totMass > lResM+mLamb) ) )    ||
           (bA > 2 && 
-            ( ( bN > 0 && bZ > 0 && 
-	        ((bsCond && totMass > dResM+mDeut) || (dbsCond && totMass > dResM+mDeut) ) ) ||
-
-	      ( dbsCond && ( (bN > 1 && totMass > nnResM+mNeut+mNeut) ||
-                             (bZ > 1 && totMass > ppResM+mProt+mProt) ||
-                             (bS > 1 && totMass > llResM+mLamb+mLamb) ||
-                             (bN && bS && totMass > lnResM+mLamb+mNeut) ||
-			     (bZ && bS && totMass > lpResM+mLamb+mProt) ) ) ) ) )
+           (( bN > 0 && bZ > 0 && 
+              ( (bsCond && totMass > dResM+mDeut) || (dbsCond && totMass > dResM+mDeut) )
+            ) || ( dbsCond && ( (bN > 1   && totMass > nnResM+mNeut+mNeut) ||
+                                (bZ > 1   && totMass > ppResM+mProt+mProt) ||
+                                (bS > 1   && totMass > llResM+mLamb+mLamb) ||
+                                (bN && bS && totMass > lnResM+mLamb+mNeut) ||
+                                (bZ && bS && totMass > lpResM+mLamb+mProt)
+                              )
+                 )
+           )
+          )
+         )
       {
         G4int barPDG = 90002002;           // Just for the default case of Be8->alpha+alpha
@@ -4664,48 +4673,48 @@
         G4double thdM= mNeut;              // This default value is used in the IF
         G4double tMC=totMass+.0002;
-		      if(gResPDG&&tMC>mHel6+.003)        // Can make radiative decay of He6 (priority 0)
-		      {
+        if(gResPDG&&tMC>mHel6+.003)        // Can make radiative decay of He6 (priority 0)
+        {
           barPDG=90002004;
           resPDG=22;
           barM  =mHel6;
           resM  =0.;
-		      }
-		      else if(nResPDG&&tMC>nResM+mNeut)  // Can radiate a neutron (priority 1)
-		      {
+        }
+        else if(nResPDG&&tMC>nResM+mNeut)  // Can radiate a neutron (priority 1)
+        {
           barPDG=90000001;
           resPDG=nResPDG;
           barM  =mNeut;
           resM  =nResM;
-		      }
-		      else if(pResPDG&&totMass+.001>pResM+mProt)   // Can radiate a proton (priority 2)
-		      {
+        }
+        else if(pResPDG&&totMass+.001>pResM+mProt)   // Can radiate a proton (priority 2)
+        {
           barPDG=90001000;
           resPDG=pResPDG;
           barM  =mProt;
           resM  =pResM;
-		      }
-		      else if(lResPDG&&tMC>lResM+mLamb)  // Can radiate a Lambda (priority 3) @@ Sigma0
-		      {
+        }
+        else if(lResPDG&&tMC>lResM+mLamb)  // Can radiate a Lambda (priority 3) @@ Sigma0
+        {
           barPDG=91000000;
           resPDG=lResPDG;
           barM  =mLamb;
           resM  =lResM;
-		      }
+        }
         else if(thePDG!=90004004&&bN>1&&bZ>1&&bA>4&&tMC>aResM+mAlph)// Decay in alpha (p4)
-		      {
+        {
           barPDG=90002002;
           resPDG=aResPDG;
           barM  =mAlph;
           resM  =aResM;
-		      }
-		      else if(dResPDG&&tMC>dResM+mDeut)  // Can radiate a Deuteron (priority 5)
-		      {
+        }
+        else if(dResPDG&&tMC>dResM+mDeut)  // Can radiate a Deuteron (priority 5)
+        {
           barPDG=90001001;
           resPDG=dResPDG;
           barM  =mDeut;
           resM  =dResM;
-		      }
-		      else if(ppResPDG&&tMC>ppResM+mProt+mProt)// Can radiate a DiProton (priority 6)
-		      {
+        }
+        else if(ppResPDG&&tMC>ppResM+mProt+mProt)// Can radiate a DiProton (priority 6)
+        {
           barPDG=90001000;
           resPDG=ppResPDG;
@@ -4714,7 +4723,7 @@
           resM  =ppResM;
           thdM  =mProt;
-		      }
-		      else if(nnResPDG&&tMC>nnResM+mNeut+mNeut)// Can radiate a DiNeutron (priority 7)
-		      {
+        }
+        else if(nnResPDG&&tMC>nnResM+mNeut+mNeut)// Can radiate a DiNeutron (priority 7)
+        {
           barPDG=90000001;
           resPDG=nnResPDG;
@@ -4722,7 +4731,7 @@
           barM  =mNeut;
           resM  =nnResM;
-		      }
-		      else if(npResPDG&&tMC>npResM+mProt+mNeut)// Can radiate a neutron+proton (prior 8)
-		      {
+        }
+        else if(npResPDG&&tMC>npResM+mProt+mNeut)// Can radiate a neutron+proton (prior 8)
+        {
           barPDG=90001000;
           resPDG=npResPDG;
@@ -4730,7 +4739,7 @@
           barM  =mProt;
           resM  =npResM;
-		      }
-		      else if(lnResPDG&&tMC>lnResM+mLamb+mNeut)// Can radiate a Lambda+neutron (prior 9)
-		      {
+        }
+        else if(lnResPDG&&tMC>lnResM+mLamb+mNeut)// Can radiate a Lambda+neutron (prior 9)
+        {
           barPDG=91000000; // @@ Sigma0
           resPDG=lnResPDG;
@@ -4738,7 +4747,7 @@
           barM  =mLamb;
           resM  =lnResM;
-		      }
-		      else if(lpResPDG&&tMC>lpResM+mLamb+mProt)// Can radiate a Lambda+proton (prior 10)
-		      {
+        }
+        else if(lpResPDG&&tMC>lpResM+mLamb+mProt)// Can radiate a Lambda+proton (prior 10)
+        {
           barPDG=91000000; // @@ Sigma0
           resPDG=lpResPDG;
@@ -4747,7 +4756,7 @@
           resM  =lpResM;
           thdM  =mProt;
-		      }
-		      else if(llResPDG&&tMC>llResM+mLamb+mLamb)// Can radiate a DiLambda (priority 11)
-		      {
+        }
+        else if(llResPDG&&tMC>llResM+mLamb+mLamb)// Can radiate a DiLambda (priority 11)
+        {
           barPDG=91000000; // @@ Sigma0
           resPDG=llResPDG;
@@ -4756,17 +4765,17 @@
           resM  =llResM;
           thdM  =mLamb;
-		      }
+        }
         else if(thePDG!=90004004&&tMC>GSMass)// If it's not Be8 decay in gamma & GSM
-		      {
+        {
           barPDG=thePDG;
           resPDG=22;
           barM  =GSMass;
           resM  =0.;
-		      }
+        }
         else if(thePDG!=90004004)
-		      {
+        {
           G4cerr<<"***G4QNuc::EvaN:PDG="<<thePDG<<",M="<<totMass<<"< GSM="<<GSMass<<G4endl;
           throw G4QException("G4QNucleus::EvaporateNucleus: M<GSM & can't decayInPNL");
-		      }
+        }
         G4LorentzVector a4Mom(0.,0.,0.,barM);
         G4LorentzVector b4Mom(0.,0.,0.,resM);
@@ -4785,5 +4794,5 @@
             G4cout<<"---Warning---G4QN::EvN:DecIn2Error b="<<barPDG<<",r="<<resPDG<<G4endl;
             return;
-	         }
+          }
           else
           {
@@ -4825,5 +4834,5 @@
             G4cout<<"---Warning---G4QN::EvN:DecIn2Error,b="<<barPDG<<",r="<<resPDG<<G4endl;
             return;
-	         }
+          }
           else
           {
@@ -4855,5 +4864,5 @@
           }
         }
-	     }
+      }
       else if (fabs(totMass-GSMass)<.003) // @@ Looks like a duplication of the prev. check
       {
@@ -4868,5 +4877,5 @@
       }
       else                             // "System is below mass shell and can't decay" case
-	     {
+      {
 #ifdef pdebug
         G4cout<<"***G4QNucl::EvaNuc: tM="<<totMass<<"("<<thePDG<<") < GSM="<<GSMass<<", d="
@@ -4881,5 +4890,5 @@
     }
     else                                        // ===> Evaporation of excited system
-	   {
+    {
 #ifdef pdebug
       G4cout<<"G4QN::EvaNuc:***EVA***tPDG="<<thePDG<<",M="<<totMass<<">GSM="<<GSMass<<",d="
@@ -4906,5 +4915,5 @@
         evcn++;
         if(!qNuc.EvaporateBaryon(bHadron,rHadron)) // Evaporation did not succeed
-	       {
+        {
 #ifdef pdebug
           G4cout<<"***G4QNuc::EvaNuc:***EVA Failed***PDG="<<thePDG<<",M="<<totMass<<G4endl;
@@ -4920,5 +4929,5 @@
 #endif
           return;
-	       }
+        }
         evC=false;
         b4M=bHadron->Get4Momentum();
@@ -4939,5 +4948,5 @@
 #endif
         //if(b4M.e()-b4M.m()<bCB&&evcn<evcm) evC=true;
-	     }  // End of while
+      }  // End of while
 #ifdef pdebug
       G4cout<<"G4QNucl::EvaNuc:*** EVA IS DONE *** F="<<bPDG<<b4M<<",bB="<<bB<<", ResNuc="
@@ -4959,30 +4968,30 @@
       else if(bPDG==90004004) DecayAlphaAlpha(bHadron,evaHV);// Alph+Alph Decay (del.eq.)
       else
-	     {
+      {
         delete bHadron;
         G4cerr<<"***G4QNuc::EvaNuc:bB="<<bB<<">2 - unexpected evaporated fragment"<<G4endl;
         throw G4QException("G4QNucleus::EvaporateNucleus: Wrong evaporation act");
-	     }
+      }
       if(rB>2) EvaporateNucleus(rHadron,evaHV);    // Continue evaporation (@@ Self-call)
       else if(rB==2)                   // => "Dibaryon" case needs decay @@ DecayDibaryon
-	     {
+      {
         G4double rGSM = rHadron->GetQPDG().GetMass(); // Ground State mass of the dibaryon
 #ifdef pdebug
-		      G4cout<<"G4QNuc::EvaNuc:ResidDibM="<<rM<<",GSM="<<rGSM<<",M-GSM="<<rM-rGSM<<G4endl;
+        G4cout<<"G4QNuc::EvaNuc:ResidDibM="<<rM<<",GSM="<<rGSM<<",M-GSM="<<rM-rGSM<<G4endl;
 #endif
         if(rM<=rGSM-0.01)
-		      {
+        {
           delete rHadron;
           G4cerr<<"***G4QNucleus::EvaporNucl: <residual> M="<<rM<<" < GSM="<<rGSM<<G4endl;
           throw G4QException("G4QNucleus::EvaporateNucleus: Evaporation below MassShell");
-		      }
+        }
         else if(fabs(rM-rGSM)<0.01&&rPDG==90001001) evaHV->push_back(rHadron); // (DE)
         else DecayDibaryon(rHadron,evaHV);   // => "Dibaryon Decay" case (del.equivalent)
-	     }
+      }
       else if(rB==5) DecayAlphaBar(rHadron,evaHV);// "Alpha+Baryon Decay" case (del.equiv.)
       else if(rPDG==90004002) DecayAlphaDiN(rHadron,evaHV);//alph+2p (alph+2n is stable)
       else if(rPDG==90004004) DecayAlphaAlpha(rHadron,evaHV);//Alpha+Alpha Decay (delEq)
-      else evaHV->push_back(rHadron);         // Fill ResidNucl=Baryon to OutputHadronVector
-	   } // End of Evaporation of excited system
+      else evaHV->push_back(rHadron);        // Fill ResidNucl=Baryon to OutputHadronVector
+    } // End of Evaporation of excited system
 #ifdef pdebug
     G4cout<<"G4QNucleus::EvaporateNucleus: === End of the evaporation attempt"<<G4endl;
@@ -4997,5 +5006,5 @@
     {
       if(thePDG==10)                            // "Chipolino decay" case 
-	     {
+      {
         G4QContent totQC = qH->GetQC();         // Quark content of the hadron
         G4QChipolino resChip(totQC);            // define the Residual as a Chipolino
@@ -5017,8 +5026,8 @@
           G4LorentzVector qe4M(0.,0.,0.,m2);
           if(!G4QHadron(q4M).DecayIn2(fq4M,qe4M))
-		        {
+          {
             G4cerr<<"***G4QNuc::EvaNuc:tM="<<totMass<<"-> h1M="<<m1<<" + h2M="<<m2<<G4endl;
-		          throw G4QException("G4QNucleus::EvaporateNucleus: Chipol->h1+h2 DecIn2 error");
-	         }
+            throw G4QException("G4QNucleus::EvaporateNucleus: Chipol->h1+h2 DecIn2 error");
+          }
           G4QHadron* H2 = new G4QHadron(h2.GetPDGCode(),qe4M);
 #ifdef pdebug
@@ -5031,7 +5040,7 @@
 #endif
           evaHV->push_back(H1);            // (delete equivalent)
-		      }
+        }
         else
-	       {
+        {
 #ifdef qdebug
           if(!qH) G4cout<<"G4QNucleus::EvaporateNucleus: (25) qH="<<G4endl;
@@ -5044,11 +5053,11 @@
           G4cerr<<"**G4QN::EN:M="<<totMass<<"<"<<m1<<"+"<<m2<<",d="<<m1+m2-totMass<<G4endl;
           throw G4QException("G4QNucleus::EvaporateNucleus: Chipolino is under MassShell");
-	       }
-	     }
+        }
+      }
       else                                      // "Hadron" case
-	     {
+      {
         G4double totM=G4QPDGCode(thePDG).GetMass();
         if(fabs(totMass-totM)<0.001||abs(thePDG)-10*(abs(thePDG)/10)>2)
-								{
+        {
 #ifdef pdebug
           G4cout<<"**G4QNuc::EvaNuc:EmerFill(2) "<<qH->GetQC()<<qH->Get4Momentum()<<G4endl;
@@ -5060,5 +5069,5 @@
         }
         else if ((thePDG==221||thePDG==331)&&totMass>mPi+mPi) // "Decay in pipi" case
-	       {
+        {
 #ifdef qdebug
           if(!qH) G4cout<<"G4QNucleus::EvaporateNucleus: (26) qH="<<G4endl;
@@ -5072,8 +5081,8 @@
           G4LorentzVector qe4M(0.,0.,0.,mPi);
           if(!G4QHadron(q4M).DecayIn2(fq4M,qe4M))
-		        {
+          {
             G4cerr<<"***G4QNucleus::EvaporateNucleus:tM="<<totMass<<"-> pi+ + pi-"<<G4endl;
-		          throw G4QException("G4QNucleus::EvaporateNucleus: H->Pi+Pi DecayIn2 error");
-	         }
+            throw G4QException("G4QNucleus::EvaporateNucleus: H->Pi+Pi DecayIn2 error");
+          }
           G4QHadron* H1 = new G4QHadron(211,fq4M);
 #ifdef pdebug
@@ -5086,7 +5095,7 @@
 #endif
           evaHV->push_back(H2);            // (delete equivalent)
-	       }
+        }
         else if ((thePDG==221||thePDG==331)&&totMass>mPi0+mPi0) // "Decay in 2pi0" case
-	       {
+        {
 #ifdef qdebug
           if(!qH) G4cout<<"G4QNucleus::EvaporateNucleus: (27) qH="<<G4endl;
@@ -5100,8 +5109,8 @@
           G4LorentzVector qe4M(0.,0.,0.,mPi0);
           if(!G4QHadron(q4M).DecayIn2(fq4M,qe4M))
-		        {
+          {
             G4cerr<<"***G4QNucleus::EvaporateNucleus:tM="<<totMass<<"-> pi0 + pi0"<<G4endl;
-		          throw G4QException("G4QNucleus::EvaporateNucleus: H->Pi+Pi DecayIn2 error");
-	         }
+            throw G4QException("G4QNucleus::EvaporateNucleus: H->Pi+Pi DecayIn2 error");
+          }
           G4QHadron* H1 = new G4QHadron(111,fq4M);
 #ifdef pdebug
@@ -5114,7 +5123,7 @@
 #endif
           evaHV->push_back(H2);            // (delete equivalent)
-	       }
+        }
         else if (totMass>totM)                  // "Radiative Hadron decay" case
-	       {
+        {
 #ifdef qdebug
           if(!qH) G4cout<<"G4QNucleus::EvaporateNucleus: (28) qH="<<G4endl;
@@ -5128,8 +5137,8 @@
           G4LorentzVector qe4M(0.,0.,0.,totM);
           if(!G4QHadron(q4M).DecayIn2(fq4M,qe4M))
-		        {
+          {
             G4cerr<<"***G4QNuc::EvaporateNuc:tM="<<totMass<<"->h1M="<<totM<<"+gam"<<G4endl;
-		          throw G4QException("G4QNucleus::EvaporateNucleus: H*->H+gamma DecIn2 error");
-	         }
+            throw G4QException("G4QNucleus::EvaporateNucleus: H*->H+gamma DecIn2 error");
+          }
           G4QHadron* H2 = new G4QHadron(thePDG,qe4M);
 #ifdef pdebug
@@ -5142,7 +5151,7 @@
 #endif
           evaHV->push_back(H1);            // (delete equivalent)
-	       }
+        }
         else if (thePDG==111||thePDG==221||thePDG==331) // "Gamma+Gamma decay" case
-	       {
+        {
 #ifdef qdebug
           if(!qH) G4cout<<"G4QNucleus::EvaporateNucleus: (29) qH="<<G4endl;
@@ -5156,8 +5165,8 @@
           G4LorentzVector qe4M(0.,0.,0.,0.);
           if(!G4QHadron(q4M).DecayIn2(fq4M,qe4M))
-		        {
+          {
             G4cerr<<"***G4QNucl::EvaporateNucleus:tM="<<totMass<<"->gamma + gamma"<<G4endl;
-		          throw G4QException("G4QNucleus::EvaporateNucleus: pi/eta->g+g DecIn2 error");
-	         }
+            throw G4QException("G4QNucleus::EvaporateNucleus: pi/eta->g+g DecIn2 error");
+          }
           G4QHadron* H2 = new G4QHadron(22,qe4M);
 #ifdef pdebug
@@ -5170,7 +5179,7 @@
 #endif
           evaHV->push_back(H1);            // (delete equivalent)
-	       }
+        }
         else
-	       {
+        {
 #ifdef qdebug
           if(!qH) G4cout<<"G4QNucleus::EvaporateNucleus: (30) qH="<<G4endl;
